## refstack-client 0.0.0~2021.08.18.fa73ef2524

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-subunit>=0.0.18
cryptography>=1.0,!=1.3.0 # BSD/Apache-2.0
requests>=2.5.2
PyYAML>=3.1.0
six>=1.9.0

=== doc/requirements.txt ===
sphinx>=1.6.2  # BSD
openstackdocstheme>=1.11.0  # Apache-2.0

=== debian/changelog ===
refstack-client (0.0.0~2021.08.18.fa73ef2524-5) unstable; urgency=medium

  * Fix unit tests, also due to module version that setuptools new version
    didn't like (Closes: #1033508).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Mar 2023 09:35:05 +0200

refstack-client (0.0.0~2021.08.18.fa73ef2524-4) unstable; urgency=medium

  * Fix egg-info version when building (Closes: #1030437).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Feb 2023 14:17:48 +0100

refstack-client (0.0.0~2021.08.18.fa73ef2524-3) unstable; urgency=medium

  * Add use-yaml.safe_load-instead-of-yaml.load.patch (Closes: #1022082).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2022 11:22:40 +0100

refstack-client (0.0.0~2021.08.18.fa73ef2524-2) unstable; urgency=medium

  * Add patches:
    - do-not-use-venv-to-run-tests.patch
    - fix-tempest-path.patch
  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Feb 2022 18:28:43 +0100

refstack-client (0.0.0~2021.08.18.fa73ef2524-1) unstable; urgency=medium

  * Initial release (Closes: #1003442).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Jul 2021 10:19:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://opendev.org/openinfra/refstack-client
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=0.0.0

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -rf doc/build build .stestr

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# The no-venv patch is breaking, so we blacklist it: test_get_tempest_test_ids()
	pkgos-dh_auto_test --no-py2 'refstack_client\.tests\.(?!.*unit\.test_list_parser\.TestTestListParser\.test_get_tempest_test_ids.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source doc/build/man
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## refstack-client 0.0.0~2023.09.19.b60a7e41f7

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-subunit>=0.0.18 # BSD/Apache-2.0
cryptography>=1.0,!=1.3.0 # BSD/Apache-2.0
requests>=2.5.2
PyYAML>=3.1.0
six>=1.9.0

=== debian/changelog ===
refstack-client (0.0.0~2023.09.19.b60a7e41f7-2) unstable; urgency=medium

  * Fixed PBR_VERSION and OSLO_PACKAGE_VERSION to avoid FTBFS
    (Closes: #1101255).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 13:41:01 +0100

refstack-client (0.0.0~2023.09.19.b60a7e41f7-1) unstable; urgency=medium

  * New upstream release based on tag.
  * Removed use-yaml.safe_load-instead-of-yaml.load.patch applied upstream.
  * Add fix-syntax-warning.patch (Closes: #1087046).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Nov 2024 08:54:58 +0100

refstack-client (0.0.0~2021.08.18.fa73ef2524-6) unstable; urgency=medium

  * Cleans better (Closes: #1045399).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 12:11:39 +0200

=== debian/control ===
Source: refstack-client
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-cryptography,
 python3-docutils,
 python3-httmock,
 python3-mock,
 python3-openstackdocstheme,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-tempestconf,
 python3-testtools,
 python3-yaml,
 subunit,
 tempest,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/refstack-client
Vcs-Git: https://salsa.debian.org/openstack-team/clients/refstack-client.git
Homepage: https://opendev.org/openinfra/refstack-client

Package: refstack-client
Architecture: all
Depends:
 python3-cryptography,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-tempestconf,
 python3-yaml,
 subunit,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack platform validation client
 Refstack-client is a command line utility that allows you to execute Tempest
 test runs based on configurations you specify. When finished running Tempest
 it can send the passed test data to a RefStack API server.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,15 @@
 UPSTREAM_GIT = https://opendev.org/openinfra/refstack-client
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export OSLO_PACKAGE_VERSION=0.0.0
+export OSLO_PACKAGE_VERSION=0.1.0
+export PBR_VERSION=0.1.0
 
 %:
 	dh $@ --with python3
 
 override_dh_auto_clean:
-	rm -rf doc/build build .stestr
+	rm -rf doc/build build .stestr tempest.log
+	find .  -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."
